Bug 169262 - CVE-2005-3055 async usb devio oops
CVE-2005-3055 async usb devio oops
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Don Howard
Brian Brock
impact=moderate,public=20050925,sourc...
: Security
Depends On:
Blocks: 143573
  Show dependency treegraph
 
Reported: 2005-09-26 05:37 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0579
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-13 07:45:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Harald Welte's final patch for 2.6, adapted to rhel2.1 (3.72 KB, patch)
2006-03-09 20:20 EST, Don Howard
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2005-09-26 05:37:58 EDT
Although the issue below is for linux-2.6 the code in linux-2.4 looks pretty
much identical so this issue may affect RHEL2.1

+++ This bug was initially created as a clone of Bug #169260 +++

Harald Welte mailed the lkml on 20050925 with a report of how to cause a local
oops if a user has permissions to access an arbitrary usb device.  I've rated
this as 'moderate' instead of 'important' due to that requirement.  Although usb
permissions will be given automatically to console users, a DOS from a user who
has physical access to a machine is little extra risk and we ignore that from
the severity calculation.

See the following URL for the description and patch
http://marc.theaimsgroup.com/?l=linux-kernel&m=112766129313883
Comment 2 Don Howard 2006-03-09 20:20:11 EST
Created attachment 125916 [details]
Harald Welte's final patch for 2.6, adapted to rhel2.1
Comment 5 Mike Gahagan 2006-07-12 15:14:42 EDT
fix is in as well as upstream, no test case that I can find exists, but the
problem and fix are well understood at this point.
Comment 7 Red Hat Bugzilla 2006-07-13 07:45:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0579.html

Note You need to log in before you can comment on or make changes to this bug.